| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions | Variables
jerror.c File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`
`#include "jversion.h"`
`#include "jerror.h"`

Go to the source code of this file.

## Macros
#define | EXIT_FAILURE 1
#define | JMESSAGE(code, string) string ,

## Functions
| error_exit (j_common_ptr cinfo)
| output_message (j_common_ptr cinfo)
| emit_message (j_common_ptr cinfo, int msg_level)
| format_message (j_common_ptr cinfo, char *buffer)
| reset_error_mgr (j_common_ptr cinfo)
| jpeg_std_error (struct jpeg_error_mgr *err)

## Variables
const char *const | jpeg_std_message_table []

## Macro Definition Documentation

#define EXIT_FAILURE 1

Definition at line 32 of file jerror.c.

#define JMESSAGE | ( |  | code,
|  |  | string
| ) |  | string ,

Definition at line 48 of file jerror.c.

## Function Documentation

emit_message | ( | j_common_ptr | cinfo,
|  | int | msg_level
| ) |  |

Definition at line 128 of file jerror.c.

error_exit | ( | j_common_ptr | cinfo | ) |

Definition at line 70 of file jerror.c.

format_message | ( | j_common_ptr | cinfo,
|  | char * | buffer
| ) |  |

Definition at line 157 of file jerror.c.

jpeg_std_error | ( | struct jpeg_error_mgr * | err | ) |

Definition at line 231 of file jerror.c.

output_message | ( | j_common_ptr | cinfo | ) |

Definition at line 98 of file jerror.c.

reset_error_mgr | ( | j_common_ptr | cinfo | ) |

Definition at line 212 of file jerror.c.

## Variable Documentation

const char* const jpeg_std_message_table[]

Definition at line 50 of file jerror.c.